This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534499 - (RHQ-1290) JBAS JVM's discovered as sibling servers (not children) when jmx remoting is enabled
JBAS JVM's discovered as sibling servers (not children) when jmx remoting is ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Sunil Kondkar
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 18:27 EST by Charles Crouch
Modified: 2015-02-01 18:24 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (114.25 KB, image/png)
2010-08-10 07:01 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Charles Crouch 2008-12-19 18:27:00 EST
Typically when you discover a JBAS instance (if you have the platform mbeanserver option enabled) you get the JVM resource brought in as well as a child server of the JBAS server. However if you start JBAS with jmx remoting enabled, the JVM will be discovered as a sibling server to JBAS. 

This is unintuitive since just because the JVM is accessible remotely, doesn't change the fact its used to run JBAS.
Comment 1 Joseph Marques 2009-02-13 11:58:55 EST
jay, can you think about this and figure out how you propose this work for your work with the tomcat plugin.  ping me if you need additional details.
Comment 2 Jay Shaughnessy 2009-02-13 13:54:13 EST
I think this is the same problem we had with the Tomcat Server being discoverd both as a Tomcat Server and as a JMX Server.  This is because the JMX plugin picks up every process with "com.sun.management.jmxremote.port"  in the command line.  I already added a simple filter mechanism to ignore Tomcat servers, perhaps I can just add  another filter for this.
Comment 3 Joseph Marques 2009-02-13 20:16:44 EST
pushing to future as the workaround is acceptable for now.
Comment 4 John Mazzitelli 2009-02-13 20:20:04 EST
What was the workaround?
Comment 5 John Mazzitelli 2009-02-13 20:28:36 EST
I found it - IMO, that needs to be taken out. We should not code in specific things into an RHQ plugin to handle Jopr plugins.

What if someone doesn't have a Jopr plugin and wants to monitor Tomcat VM?
Comment 6 Red Hat Bugzilla 2009-11-10 15:29:51 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1290
Comment 7 Corey Welton 2010-08-05 13:44:07 EDT
Moving this old bug to ON_QA to see if it still exists.  Close if no longer an issue, reopen if issue still exists.

If this bug is lacking repro steps, please contact joseph.
Comment 8 Sunil Kondkar 2010-08-10 07:00:19 EDT
Tested on jon-2.4GA

Started EAP5.1 with jmx remoting enabled by inserting below lines in run.conf

JAVA_OPTS="$JAVA_OPTS -Xms512m -Xmx512m"
JAVA_OPTS="$JAVA_OPTS -Dsun.rmi.dgc.client.gcInterval=3600000"
JAVA_OPTS="$JAVA_OPTS -Dsun.rmi.dgc.server.gcInterval=3600000"
JAVA_OPTS="$JAVA_OPTS -XX:PermSize=192m -XX:MaxPermSize=192m"
JAVA_OPTS="$JAVA_OPTS -XX:NewSize=128m -XX:MaxNewSize=128m"
JAVA_OPTS="$JAVA_OPTS -XX:+DisableExplicitGC"
JAVA_OPTS="$JAVA_OPTS -XX:+UseConcMarkSweepGC"
JAVA_OPTS="$JAVA_OPTS -XX:+UseParNewGC"
JAVA_OPTS="$JAVA_OPTS -XX:ThreadStackSize=128"
JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.port=3001"
JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.ssl=false"
JAVA_OPTS="$JAVA_OPTS -Djavax.management.builder.initial=org.jboss.system.server.jmx.MBeanServerBuilderImpl"
JAVA_OPTS="$JAVA_OPTS -Djboss.platform.mbeanserver"
JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.authenticate=false"

The JVM resource is discovered as a child server.

Please refer the attached screenshot.
Comment 9 Sunil Kondkar 2010-08-10 07:01:09 EDT
Created attachment 437834 [details]
Screenshot
Comment 10 Corey Welton 2010-08-12 12:59:12 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.